#! ------------------------------------------------------------------------------
#! (c) copyright JaDu Technologies, 2000, 2001 all rights reserved worldwide.
#! ---------------------------------------------------------------------
#TEMPLATE(JtCmDna,'(JaDuTech-CM) DNA for Clarion'),FAMILY('ABC'),FAMILY('CW20')
#CODE(JtCmDnaClass,'(JaDuTech-CM) DNA Class Selection'),DESCRIPTION('(JaDuTech-CM) DNA Class Selection')
#DISPLAY('                   *DNA for Clarion*')
#DISPLAY('')
#DISPLAY ('         (c) copyright JaDu Technologies 2001')
#DISPLAY ('             all rights reserved worldwide.')
#DISPLAY ('')
#DISPLAY ('                stephenb@jadutech.com')
#DISPLAY ('               http://www.jadutech.com')
#DISPLAY ('')
#DISPLAY ('')
#PROMPT('Interface Type',OPTION),%JtDnaInterface,DEFAULT('Zebra')
#PROMPT('Zebra',RADIO)
#PROMPT('Object Name:',@S255),%JtDnaClass,DEFAULT('JtDna' & %ActiveTemplateInstance)

#INDENT(-4)
#IF(%JtDnaInterface = 'Zebra')
%[20]JtDnaClass JtCmDnaZebraClass
#ENDIF
#! ---------------------------------------------------------------------
#CODE(JtCmDnaZebra,'(JaDuTech-CM) Browsebox Zebra'),DESCRIPTION('(JaDuTech-CM) Browsebox Zebra'),REQ(JtCmDnaClass)
#ATSTART
  #DECLARE(%JtDnaValueConstruct)
  #DECLARE(%JtDnaCounter)
  #DECLARE(%JtDnaCol)
#ENDAT
#SHEET
  #TAB('Properties')
    #DISPLAY ('')
    #BOXED('Product Information')
      #DISPLAY('                 *DNA Zebra for Clarion*')
      #DISPLAY('')
      #DISPLAY ('         (c) copyright JaDu Technologies 2001')
      #DISPLAY ('             all rights reserved worldwide.')
      #DISPLAY ('')
      #DISPLAY ('                stephenb@jadutech.com')
      #DISPLAY ('               http://www.jadutech.com')
      #DISPLAY ('')
      #DISPLAY ('')
      #PROMPT('Select List box',CONTROL),%JtDnaControl,REQ
      #PREPARE
        #FIX(%Control,%JtDnaControl)
      #ENDPREPARE
      #VALIDATE(%ControlType = 'LIST','Must select a list control')
      #PROMPT('Object Name:',@S255),%JtDnaClass,DEFAULT('JtDna' & %ActiveTemplateInstance)
    #ENDBOXED
    #DISPLAY ('')
  #ENDTAB
  #TAB('Defaults')
    #BOXED('Set Normal colours')
      #PROMPT('&Foreground Normal:',COLOR),%JtDnaNormalForegroundNormal,DEFAULT(-1)
      #PROMPT('&Background Normal:',COLOR),%JtDnaNormalBackgroundNormal,DEFAULT(-1)
      #PROMPT('&Foreground Selected:',COLOR),%JtDnaNormalForegroundSelected,DEFAULT(-1)
      #PROMPT('&Background Selected:',COLOR),%JtDnaNormalBackgroundSelected,DEFAULT(-1)
    #ENDBOXED
    #DISPLAY('')
    #BOXED('Set Zebra colours')
      #PROMPT('&Foreground Normal:',COLOR),%JtDnaZebraForegroundNormal,DEFAULT(-1)
      #PROMPT('&Background Normal:',COLOR),%JtDnaZebraBackgroundNormal,DEFAULT(-1)
      #PROMPT('&Foreground Selected:',COLOR),%JtDnaZebraForegroundSelected,DEFAULT(-1)
      #PROMPT('&Background Selected:',COLOR),%JtDnaZebraBackgroundSelected,DEFAULT(-1)
    #ENDBOXED
  #ENDTAB
#ENDSHEET
#FIX(%Control,%JtDnaControl)
%JtDnaClass.Init(%Window,%Control,%ControlFrom)
#SET(%JtDnaCounter,0)
#FIX(%Control,%JtDnaControl)
#IF(%Control NOT=%JtDnaControl)
  #ERROR('List box control not found!')
  #ABORT
#ENDIF
#FOR(%ControlField)
  #SET(%JtDnaCounter,%JtDnaCounter + 1)
  #SET(%JtDnaValueConstruct,%ControlField)
  #IF(%ControlFieldHasColor)
        #SET(%JtDnaCol,%JtDnaCounter + 1)
%JtDnaClass.AddStripe(%JtDnaCol,%JtDnaNormalForegroundNormal,%JtDnaZebraForegroundNormal)
        #SET(%JtDnaCol,%JtDnaCounter + 2)
%JtDnaClass.AddStripe(%JtDnaCol,%JtDnaNormalBackgroundNormal,%JtDnaZebraBackgroundNormal)
        #SET(%JtDnaCol,%JtDnaCounter + 3)
%JtDnaClass.AddStripe(%JtDnaCol,%JtDnaNormalForegroundSelected,%JtDnaZebraForegroundSelected)
        #SET(%JtDnaCol,%JtDnaCounter + 4)
%JtDnaClass.AddStripe(%JtDnaCol,%JtDnaNormalBackgroundSelected,%JtDnaZebraBackgroundSelected)
    #SET(%JtDnaCounter,%JtDnaCounter + 4)
  #ENDIF
  #IF(%ControlFieldHasStyle)
    #SET(%JtDnaCounter,%JtDnaCounter + 1)
  #ENDIF 
  #IF(%ControlFieldHasIcon)
    #SET(%JtDnaCounter,%JtDnaCounter + 1)
  #ENDIF 
  #IF(%ControlFieldHasTree)
    #SET(%JtDnaCounter,%JtDnaCounter + 1)
  #ENDIF 
#ENDFOR

#! ---------------------------------------------------------------------
#CODE(JtDnaCmGlobals,'(JaDuTech-CM) DNA Global Exports'),DESCRIPTION('(JaDuTech-CM) DNA Global Exports')
#BOXED('JaDu Technologies')
  #DISPLAY('                   *DNA for Clarion*')
  #DISPLAY('                   Add Global Exports')
  #DISPLAY('')
#DISPLAY ('         (c) copyright JaDu Technologies 2001')
#DISPLAY ('             all rights reserved worldwide.')
#DISPLAY ('')
#DISPLAY ('                stephenb@jadutech.com')
#DISPLAY ('               http://www.jadutech.com')
#DISPLAY ('')
#DISPLAY ('')
#ENDBOXED
#BOXED('Interfaces to include')
  #PROMPT('Zebra',CHECK),%JtDnaIncludeZebra,DEFAULT(1)
#ENDBOXED
  INCLUDE('JtCmDna.inc'),ONCE
#IF(%JtDnaIncludeZebra)
 INCLUDE('JtCmDnaZebra.inc'),ONCE
#ENDIF
